/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from uiserver.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __UISERVER_STUB__
#define __UISERVER_STUB__

#include <dcopstub.h>
#include <ksslcertdlg.h>
#include <tdelistview.h>
#include <kdatastream.h>
#include <tdemainwindow.h>
#include <kurl.h>
#include <tdeio/authinfo.h>
#include <tdeio/global.h>
#include <dcopobject.h>
#include <tqtimer.h>
#include <tqdatetime.h>
#include <tqintdict.h>


class TDEIO_EXPORT UIServer_stub : virtual public DCOPStub
{
public:
    UIServer_stub( const TQCString& app, const TQCString& id );
    UIServer_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit UIServer_stub( const DCOPRef& ref );
    virtual int newJob( TQCString appId, bool showProgress );
    virtual ASYNC jobFinished( int id );
    virtual ASYNC totalSize( int id, unsigned long int size );
    virtual ASYNC totalSize64( int id, TDEIO::filesize_t size );
    virtual ASYNC totalFiles( int id, unsigned long int files );
    virtual ASYNC totalDirs( int id, unsigned long int dirs );
    virtual ASYNC processedSize( int id, unsigned long int bytes );
    virtual ASYNC processedSize64( int id, TDEIO::filesize_t bytes );
    virtual ASYNC processedFiles( int id, unsigned long int files );
    virtual ASYNC processedDirs( int id, unsigned long int dirs );
    virtual ASYNC percent( int id, unsigned long int ipercent );
    virtual ASYNC speed( int id, unsigned long int bytes_per_second );
    virtual ASYNC infoMessage( int id, const TQString& msg );
    virtual ASYNC copying( int id, KURL from, KURL to );
    virtual ASYNC moving( int id, KURL from, KURL to );
    virtual ASYNC deleting( int id, KURL url );
    virtual ASYNC transferring( int id, KURL url );
    virtual ASYNC creatingDir( int id, KURL dir );
    virtual ASYNC stating( int id, KURL url );
    virtual ASYNC mounting( int id, TQString dev, TQString point );
    virtual ASYNC unmounting( int id, TQString point );
    virtual ASYNC canResume( int id, unsigned long int offset );
    virtual ASYNC canResume64( int id, TDEIO::filesize_t offset );
    virtual TQByteArray openPassDlg( const TDEIO::AuthInfo& info );
    virtual int messageBox( int id, int type, const TQString& text, const TQString& caption, const TQString& buttonYes, const TQString& buttonNo );
    virtual TQByteArray open_RenameDlg64( int id, const TQString& caption, const TQString& src, const TQString& dest, int mode, TDEIO::filesize_t sizeSrc, TDEIO::filesize_t sizeDest, unsigned long int ctimeSrc, unsigned long int ctimeDest, unsigned long int mtimeSrc, unsigned long int mtimeDest );
    virtual TQByteArray open_RenameDlg( int id, const TQString& caption, const TQString& src, const TQString& dest, int mode, unsigned long int sizeSrc, unsigned long int sizeDest, unsigned long int ctimeSrc, unsigned long int ctimeDest, unsigned long int mtimeSrc, unsigned long int mtimeDest );
    virtual int open_SkipDlg( int id, int multi, const TQString& error_text );
    virtual void setListMode( bool list );
    virtual void setJobVisible( int id, bool visible );
    virtual void showSSLInfoDialog( const TQString& url, const TDEIO::MetaData& data, int mainwindow );
    virtual void showSSLInfoDialog( const TQString& url, const TDEIO::MetaData& data );
    virtual KSSLCertDlgRet showSSLCertDialog( const TQString& host, const TQStringList& certList, int mainwindow );
    virtual KSSLCertDlgRet showSSLCertDialog( const TQString& host, const TQStringList& certList );
protected:
    UIServer_stub() : DCOPStub( never_use ) {}
};


#endif
